local moduleList = {
    "World",
    "Global",
    "BlockTemplates",
    "Character",
    "Sound",
    "Animation",
}

function reloadAll()
    for i, v in ipairs(moduleList) do
        package.loaded[v] = nil
    end
    for i, v in ipairs(moduleList) do
        require(v)
    end
end

function main()
    math.randomseed(os.time())
    reloadAll()
end

cclog = function(...)
    print(string.format(...))
end

function __G__TRACKBACK__(msg)
    cclog("----------------------------------------")
    cclog("LUA ERROR: " .. tostring(msg) .. "\n")
    cclog(debug.traceback())
    cclog("----------------------------------------")
end

xpcall(main, __G__TRACKBACK__)
